KTextEditor 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1126166 漏洞类型 权限许可和访问控制问题
发布时间 2018-04-26 更新时间 2019-10-08
CVE编号 CVE-2018-10361 CNNVD-ID CNNVD-201804-1460
漏洞平台 N/A CVSS评分 7.2
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201804-1460
|漏洞详情
KTextEditor是一款KDE Frameworks中的提供高级纯文本编辑功能的编辑器。 KTextEditor 5.34.0版本至5.45.0版本中存在安全漏洞,该漏洞源于KTextEditor的kauth_ktexteditor_helper服务没有正确的处理临时文件。攻击者可通过向其他非特权用户所有的目录写入文本文件并通过其他用户实施符号链接攻击利用该漏洞获取root权限。
|参考资料

来源:www.openwall.com
链接:http://www.openwall.com/lists/oss-security/2018/04/24/1
来源:bugzilla.suse.com
链接:https://bugzilla.suse.com/show_bug.cgi?id=1033055